Bug 1283277 - Decimal separator in ping -i <interval> is locale dependent
Decimal separator in ping -i <interval> is locale dependent
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iputils (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 10:19 EST by srakitnican
Modified: 2015-11-24 14:51 EST (History)
1 user (show)

See Also:
Fixed In Version: iputils-20140519-7.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-24 14:51:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description srakitnican 2015-11-18 10:19:22 EST
Description of problem: 

$ ping -i 0.2 localhost
ping: bad timing interval
$ echo $LC_NUMERIC
hr_HR.utf8
$ LC_NUMERIC=en_US.utf8
$ ping -i 0.2 localhost
PING localhost.localdomain (127.0.0.1) 56(84) bytes of data.
64 bytes from localhost.localdomain (127.0.0.1): icmp_seq=1 ttl=64 time=0.058 ms
64 bytes from localhost.localdomain (127.0.0.1): icmp_seq=2 ttl=64 time=0.056 ms
64 bytes from localhost.localdomain (127.0.0.1): icmp_seq=3 ttl=64 time=0.054 ms


Version-Release number of selected component (if applicable):
iputils-20140519-6.fc23.x86_64

How reproducible: Always


Steps to Reproduce:
1. In terminal: LC_NUMERIC=hr_HR.utf8
2. ping -i 0.2 localhost

Actual results: ping: bad timing interval


Expected results: That commands doesn't change behavior depending on selected locale settings.


Additional info: I found this old bug report while searching and sure enough helped in debugging this problem: https://bugzilla.redhat.com/show_bug.cgi?id=905840
Comment 1 Jan Synacek 2015-11-19 08:22:30 EST
Fixed upstream:
https://github.com/iputils/iputils/pull/37
Comment 2 Fedora Update System 2015-11-20 07:19:11 EST
iputils-20140519-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a11ccc5623
Comment 3 Fedora Update System 2015-11-22 09:26:26 EST
iputils-20140519-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update iputils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a11ccc5623
Comment 4 Fedora Update System 2015-11-24 14:51:37 EST
iputils-20140519-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.